<mat-toolbar fxLayout="row" fxLayoutAlign="space-between center" color="primary" class="nav">
  <span fxLayout="row" fxLayoutAlign="left center">
    <button fxHide.gt-xs="true" mat-icon-button class="menu-icon" aria-label="Sidenav Menu icon button"
      (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>

    <h1 (click)="routeToHomePage(sidenav)" class="logo-text">Zoccer Sports</h1>
  </span>

  <span fxLayout="row" fxLayoutAlign="left center">
    <button mat-icon-button class="menu-icon" aria-label="Shopping cart icon button" (click)="routeToCartPage(sidenav)">
      <mat-icon>shopping_cart</mat-icon>
    </button>

    <div fxHide.xs="true">
      <div *ngIf="!isLoggedIn">
        <span>
          <button mat-button routerLink="auth/login">Login</button>
        </span>
        <button mat-button routerLink="auth/signup">Sign Up</button>
      </div>

      <!-- TODO: how to use else with ngIf -->
      <div *ngIf="isLoggedIn">
        <button mat-button (click)="logout()">Logout</button>
      </div>
    </div>
  </span>
</mat-toolbar>

<mat-sidenav-container [hasBackdrop]="true">
  <mat-sidenav #sidenav position="start" mode="push">
    <span *ngIf="!isLoggedIn">
      <button class="sidenav-login" mat-flat-button (click)="routeToAuthPage('login', sidenav)">Login</button>
      <button class="sidenav-signup" mat-flat-button (click)="routeToAuthPage('signup', sidenav)">Signup</button>
    </span>

    <span *ngIf="isLoggedIn">
      <button mat-button (click)="logout(sidenav)">Logout</button>
    </span>

    <!-- <mat-nav-list>
      <span *ngIf="!isLoggedIn">
        <a mat-list-item [routerLink]="'/auth/login'">Login</a>
        <a mat-list-item [routerLink]="'/auth/signup'">Signup</a>
      </span>


      <span *ngIf="isLoggedIn">
        <button mat-button (click)="logout(sidenav)">Logout</button>
      </span>
    </mat-nav-list> -->
  </mat-sidenav>

  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>